Fedora 11 : alienarena-7.32-3.fc11 (2010-6132)

High Nessus Plugin ID 47418


The remote Fedora host is missing a security update.


Fixes the following security issues: - By supplying various invalid parameters to the download command, it is possible to cause a DoS condition by causing the server to crash. A path ending in . or / will crash on Linux. Supplying a negative offset will cause a crash on all platforms. - Fix buffer overflow identified in R1Q2 client code.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected alienarena package.

See Also



Plugin Details

Severity: High

ID: 47418

File Name: fedora_2010-6132.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2010/07/01

Modified: 2015/10/20

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:alienarena, cpe:/o:fedoraproject:fedora:11

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2010/04/09

Reference Information

OSVDB: 63413

FEDORA: 2010-6132